#Alnurti plot events
from eventAPI import getTag, setTag, playSpecAudio, showPicture, optionInput, giveItems, callEvent, removeItem
from APIUtils import showMessage, poseYesNo, firstHasItem, setExit

def fireEvent(e):
    AlnurtiPlt = getTag(e, "AlnurtiPlt1")
    if(AlnurtiPlt < 2):
        blocked(e)
        return 0
    if(AlnurtiPlt > 2):
        return 1
    goIntoTower(e)
    return 1

def blocked(e):
    showMessage(e,
        ["You walk straight into some kind of translucent force, hard as stone.",
         "You decide it best to leave for now and return once you've found a way to continue through here"])

def goIntoTower(e):
    showMessage(e,
        ["As Alnurti promised, your way into the mage tower is clear now"])

